Skip to main content
GET
/
v1
/
stocks
/
company
/
cashflow-statements
Get Company Cash Flow Statements
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/stocks/company/cashflow-statements \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "data": [
        {
          "accepted_date": "2024-11-01 06:01:36",
          "acquisitions_net": 123,
          "calendar_end_date": "2024-09-28",
          "capital_expenditure": 123,
          "cash_at_beginning_of_period": 123,
          "cash_at_end_of_period": 123,
          "change_in_working_capital": 123,
          "cik": "0000320193",
          "created_at": "<string>",
          "debt_repayment": 123,
          "deferred_income_tax": 123,
          "depreciation_and_amortization": 123,
          "effect_of_forex_changes_on_cash": 123,
          "filing_date": "2024-11-01",
          "fiscal_year": "2024",
          "free_cash_flow": 123,
          "id": 1,
          "net_cash_provided_by_financing_activities": 123,
          "net_cash_provided_by_investing_activities": 123,
          "net_cash_provided_by_operating_activities": 123,
          "net_change_in_cash": 123,
          "net_debt_issuance": 123,
          "net_dividends_paid": 123,
          "net_income": 123,
          "net_preferred_stock_issuance": 123,
          "net_stock_issuance": 123,
          "observed_at": 1730419200,
          "operating_cash_flow": 123,
          "other_financing_activities": 123,
          "other_investing_activities": 123,
          "other_non_cash_items": 123,
          "other_working_capital": 123,
          "period": "Q4",
          "reported_currency": "USD",
          "symbol": "AAPL",
          "updated_at": "<string>"
        }
      ],
      "total_count": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Stock symbol (uppercase, e.g., NVDA, AAPL)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds). Must be greater than start_time

period_type
enum<string>

Reporting period type. Omit to return both annual and quarter data

Available options:
annual,
quarter
time_type
enum<string>

Time dimension used for filtering. Defaults to OBSERVED_AT. CALENDAR_END_DATE: the last day of the reporting period; FILING_DATE: the date filed with regulators; OBSERVED_AT: the timestamp the data was first ingested (point-in-time safe)

Available options:
CALENDAR_END_DATE,
FILING_DATE,
OBSERVED_AT

Response

Successfully retrieved cash flow statements

data
object[]
error
object
pagination
any
request_id
string
success
boolean